### org.jfree.layouting.renderer.text

# Class DefaultRenderableTextFactory

- `java.lang.Object`
- - `org.jfree.layouting.renderer.text.DefaultRenderableTextFactory`

Implemented Interfaces:
  RenderableTextFactory, StatefullComponent

`public class DefaultRenderableTextFactory`
`extends java.lang.Object`
`implements RenderableTextFactory`

For the sake of completeness, we would now also need a script-type classifier and from there we would need a BaseLineInfo-factory.

Author:
  Thomas Morgner

  ## Nested Class Summary

  `protected static class`

  `DefaultRenderableTextFactory.DefaultRenderableTextFactoryState`

  ## Constructor Summary

  `DefaultRenderableTextFactory(LayoutProcess layoutProcess)`

  `DefaultRenderableTextFactory(LayoutProcess layoutProcess, boolean init)`

  ## Method Summary

  `protected void`

  `addGlyph(int rawCodePoint, int[] extraChars)`

  `protected void`

  `addWord(boolean forceLinebreak)`

  `protected BreakOpportunityProducer`

  `createBreakProducer(LayoutContext layoutContext)`

  `protected FontSizeProducer`

  `createFontSizeProducer(LayoutContext layoutContext)`

  `protected GlyphClassificationProducer`

  `createGlyphClassifier(LayoutContext layoutContext)`

  `protected KerningProducer`

  `createKerningProducer(LayoutContext layoutContext)`

  `protected SpacingProducer`

  `createSpacingProducer(LayoutContext layoutContext)`

  `RenderNode[]`

  `createText(int[] text, int offset, int length, LayoutContext layoutContext)`

  `protected WhiteSpaceFilter`

  `createWhitespaceFilter(LayoutContext layoutContext)`

  `RenderNode[]`

  `finishText()`

  `protected RenderNode[]`

  `processText(int[] text, int offset, int length)`

  `State`

  `saveState()`

  `void`

  `startText()`

## Constructor Details

### DefaultRenderableTextFactory

    public DefaultRenderableTextFactory(LayoutProcess layoutProcess)

### DefaultRenderableTextFactory

    protected DefaultRenderableTextFactory(LayoutProcess layoutProcess,
                                           boolean init)

## Method Details

### addGlyph

    protected void addGlyph(int rawCodePoint,
                            int[] extraChars)

### addWord

    protected void addWord(boolean forceLinebreak)

### createBreakProducer

    protected BreakOpportunityProducer createBreakProducer(LayoutContext layoutContext)

### createFontSizeProducer

    protected FontSizeProducer createFontSizeProducer(LayoutContext layoutContext)

### createGlyphClassifier

    protected GlyphClassificationProducer createGlyphClassifier(LayoutContext layoutContext)

### createKerningProducer

    protected KerningProducer createKerningProducer(LayoutContext layoutContext)

### createSpacingProducer

    protected SpacingProducer createSpacingProducer(LayoutContext layoutContext)

### createText

    public RenderNode[] createText(int[] text,
                                   int offset,
                                   int length,
                                   LayoutContext layoutContext)

> Specified by:
>   createText in interface RenderableTextFactory

### createWhitespaceFilter

    protected WhiteSpaceFilter createWhitespaceFilter(LayoutContext layoutContext)

### finishText

    public RenderNode[] finishText()

> Specified by:
>   finishText in interface RenderableTextFactory

### processText

    protected RenderNode[] processText(int[] text,
                                       int offset,
                                       int length)

### saveState

    public State saveState()
                throws StateException

> Specified by:
>   saveState in interface StatefullComponent

### startText

    public void startText()

> Specified by:
>   startText in interface RenderableTextFactory